curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lhotzucw1etoe5iw1k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7"}]}'[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
Amazon
按URL收集卖家信息
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lhotzucw1etoe5iw1k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7"}]}'[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
查询参数
string
默认值:"gd_lhotzucw1etoe5iw1k"
必填
用于此请求的数据集 ID。
必须设置为
gd_lhotzucw1etoe5iw1k 以收集按 URL 的卖家信息数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求正文
object[]
必填
[
{
"seller_name": "Electronics Hub",
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"seller_id": "A2FE2Y3KEQLBV7",
"rating": 4.5,
"reviews_count": 8920,
"business_name": "Electronics Hub LLC",
"business_address": "123 Commerce St, Seattle, WA 98101"
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_lhotzucw1etoe5iw1k for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?